'you need EViews 9 or later to run this program.
dbopen(type=fredv1, server=api.stlouisfed.org/fred)
wfcreate a 1994 2014

for %cname jpn usa kor

'fetch data
fetch(d=fredv1) {%cname}gdpnadsmei
fetch(m) {%cname}lffemadsmei 
fetch(m) {%cname}lfmaleadsmei 
fetch(m) {%cname}gfcfadsmei 

'rename series
rename {%cname}gdpnadsmei gdp_{%cname}
rename {%cname}gfcfadsmei investment_{%cname}
rename {%cname}lffemadsmei femalelabor_{%cname}
rename {%cname}lfmaleadsmei  malelabor_{%cname}

'estimation and forecast
equation eq01.ls(optmethod=opg) gdp_{%cname} c @trend investment_{%cname} femalelabor_{%cname} malelabor_{%cname} ar(1) ar(2) ar(3) ar(4) ma(1) ma(2)
eq01.forecast(e, g) gdpf_{%cname}

'show result
group group{%cname} gdp_{%cname} gdpf_{%cname}
freeze(mode=overwrite, graph{%cname})  group{%cname}.line
graph{%cname}.setelem(1) linewidth(1.5)
graph{%cname}.setelem(2) linewidth(1.5)
show graph{%cname}
next



